Generate Upload URL (GET)
curl --request GET \
--url http://127.0.0.1:3333/v3/storage/upload-url \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/storage/upload-url"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/storage/upload-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"presignedUrl": "<string>",
"fileUrl": "<string>",
"formData": {}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Storage
Get Upload URL
Generate a presigned upload URL for S3 (GET).
GET
/
v3
/
storage
/
upload-url
Generate Upload URL (GET)
curl --request GET \
--url http://127.0.0.1:3333/v3/storage/upload-url \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/storage/upload-url"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/storage/upload-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"presignedUrl": "<string>",
"fileUrl": "<string>",
"formData": {}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.